/* -*- C -*-
   +----------------------------------------------------------------------+
   | PHP version 4.0                                                      |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2001 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors: Andi Gutmans <andi@zend.com>                                |
   |          Zeev Suraski <zeev@zend.com>                                |
   +----------------------------------------------------------------------+
 */


/* $Id: internal_functions.c.in,v 1.19 2001/02/26 18:14:30 andi Exp $ */

#include "php.h"
#include "php_main.h"
#include "zend_modules.h"
#include "internal_functions_registry.h"
#include "zend_compile.h"
#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>

#include "ext/zlib/php_zlib.h"
#include "ext/openssl/php_openssl.h"
#include "ext/pcre/php_pcre.h"
#include "ext/pgsql/php_pgsql.h"
#include "ext/posix/php_posix.h"
#include "ext/session/mod_mm.h"
#include "ext/session/php_session.h"
#include "ext/standard/php_standard.h"
#include "ext/xml/php_xml.h"


zend_module_entry *php_builtin_extensions[] = {
	phpext_xml_ptr,
	phpext_standard_ptr,
	phpext_session_ptr,
	phpext_posix_ptr,
	phpext_pgsql_ptr,
	phpext_pcre_ptr,
	phpext_openssl_ptr,
	phpext_zlib_ptr,

};

#define EXTCOUNT (sizeof(php_builtin_extensions)/sizeof(zend_module_entry *))
	

int php_startup_internal_extensions(void)
{
	return php_startup_extensions(php_builtin_extensions, EXTCOUNT);
}

int php_global_startup_internal_extensions(void)
{
	return php_global_startup_extensions(php_builtin_extensions, EXTCOUNT);
}

int php_global_shutdown_internal_extensions(void)
{
	return php_global_shutdown_extensions(php_builtin_extensions, EXTCOUNT);
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 */
